[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.DoBandMove

Signals the OnBandMove event handler for the specified control and drawing rectangle.

## Declaration

Source position: extctrls.pp line 1625

`protected procedure TCustomControlBar.DoBandMove(`
`AControl: TControl;`
`var ARect: TRect`
`); virtual;`

## Arguments

`AControl` |  | Control on the band moved in the method.
`ARect` |  | Display rectangle for the band moved in the method.

## Description

DoBandMove is a method used to signal the OnBandMove event handler (when assigned) using the arguments passed to the method. AControl is the control displayed on the TCtrlBand instance moved in the method. ARect contains the display area for the control derived from the coordinates for the band.

DoBandMove is called from the InitializeBand and MoveBand methods.

## See also

TCustomControlBar.OnBandMove |  | Event handler signalled when a control band is moved on the control bar.
TCustomControlBar.InitializeBand |  | Configures a control bar band and calculates its row position, order, and geometry including client decorations.
TCustomControlBar.MoveBand |  | Performs actions needed when a band is moved to new position.
TCtrlBand |  | Represents a band and control displayed by TControlBar.